Package com.independentsoft.office.spreadsheet.revisions

# Class RevisionHeaderSet

java.lang.Object
com.independentsoft.office.spreadsheet.revisions.RevisionHeaderSet

public class RevisionHeaderSet extends Object
The Class RevisionHeaderSet.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RevisionHeaderSet()`
  Instantiates a new revision header set.
  `RevisionHeaderSet​(byte[] buffer, Relationship relationship, String revisionFolder)`
  Instantiates a new revision header set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RevisionHeaderSet`
  `clone()`
  `String`
  `getGuid()`
  Gets the guid.
  `List<RevisionHeader>`
  `getHeaders()`
  Gets the headers.
  `String`
  `getLastGuid()`
  Gets the last guid.
  `int`
  `getPreserveHistory()`
  Gets the preserve history.
  `int`
  `getRevisionID()`
  Gets the revision id.
  `int`
  `getVersion()`
  Gets the version.
  `boolean`
  `isDiskRevisions()`
  Checks if is disk revisions.
  `boolean`
  `isExclusiveMode()`
  Checks if is exclusive mode.
  `boolean`
  `isHistory()`
  Checks if is history.
  `boolean`
  `isKeepChangeHistory()`
  Checks if is keep change history.
  `boolean`
  `isProtected()`
  Checks if is protected.
  `boolean`
  `isShared()`
  Checks if is shared.
  `boolean`
  `isTrackRevisions()`
  Checks if is track revisions.
  `void`
  `setDiskRevisions​(boolean diskRevisions)`
  Sets the disk revisions.
  `void`
  `setExclusiveMode​(boolean exclusiveMode)`
  Sets the exclusive mode.
  `void`
  `setGuid​(String guid)`
  Sets the guid.
  `void`
  `setHistory​(boolean history)`
  Sets the history.
  `void`
  `setKeepChangeHistory​(boolean keepChangeHistory)`
  Sets the keep change history.
  `void`
  `setLastGuid​(String lastGuid)`
  Sets the last guid.
  `void`
  `setPreserveHistory​(int preserveHistory)`
  Sets the preserve history.
  `void`
  `setProtected​(boolean isProtected)`
  Sets the protected.
  `void`
  `setRevisionID​(int revisionID)`
  Sets the revision id.
  `void`
  `setShared​(boolean isShared)`
  Sets the shared.
  `void`
  `setTrackRevisions​(boolean trackRevisions)`
  Sets the track revisions.
  `void`
  `setVersion​(int version)`
  Sets the version.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RevisionHeaderSet

    public RevisionHeaderSet()
    Instantiates a new revision header set.

  - ### RevisionHeaderSet

    public RevisionHeaderSet​(byte[] buffer, Relationship relationship, String revisionFolder) throws XMLStreamException
    Instantiates a new revision header set.
    Parameters:
      `buffer` - the buffer
      `relationship` - the relationship
      `revisionFolder` - the revision folder
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public RevisionHeaderSet clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getHeaders

    public List<RevisionHeader> getHeaders()
    Gets the headers.
    Returns:
      the headers

  - ### isDiskRevisions

    public boolean isDiskRevisions()
    Checks if is disk revisions.
    Returns:
      true, if is disk revisions

  - ### setDiskRevisions

    public void setDiskRevisions​(boolean diskRevisions)
    Sets the disk revisions.
    Parameters:
      `diskRevisions` - the new disk revisions

  - ### isExclusiveMode

    public boolean isExclusiveMode()
    Checks if is exclusive mode.
    Returns:
      true, if is exclusive mode

  - ### setExclusiveMode

    public void setExclusiveMode​(boolean exclusiveMode)
    Sets the exclusive mode.
    Parameters:
      `exclusiveMode` - the new exclusive mode

  - ### getGuid

    public String getGuid()
    Gets the guid.
    Returns:
      the guid

  - ### setGuid

    public void setGuid​(String guid)
    Sets the guid.
    Parameters:
      `guid` - the new guid

  - ### isHistory

    public boolean isHistory()
    Checks if is history.
    Returns:
      true, if is history

  - ### setHistory

    public void setHistory​(boolean history)
    Sets the history.
    Parameters:
      `history` - the new history

  - ### isKeepChangeHistory

    public boolean isKeepChangeHistory()
    Checks if is keep change history.
    Returns:
      true, if is keep change history

  - ### setKeepChangeHistory

    public void setKeepChangeHistory​(boolean keepChangeHistory)
    Sets the keep change history.
    Parameters:
      `keepChangeHistory` - the new keep change history

  - ### getLastGuid

    public String getLastGuid()
    Gets the last guid.
    Returns:
      the last guid

  - ### setLastGuid

    public void setLastGuid​(String lastGuid)
    Sets the last guid.
    Parameters:
      `lastGuid` - the new last guid

  - ### getPreserveHistory

    public int getPreserveHistory()
    Gets the preserve history.
    Returns:
      the preserve history

  - ### setPreserveHistory

    public void setPreserveHistory​(int preserveHistory)
    Sets the preserve history.
    Parameters:
      `preserveHistory` - the new preserve history

  - ### isProtected

    public boolean isProtected()
    Checks if is protected.
    Returns:
      true, if is protected

  - ### setProtected

    public void setProtected​(boolean isProtected)
    Sets the protected.
    Parameters:
      `isProtected` - the new protected

  - ### getRevisionID

    public int getRevisionID()
    Gets the revision id.
    Returns:
      the revision id

  - ### setRevisionID

    public void setRevisionID​(int revisionID)
    Sets the revision id.
    Parameters:
      `revisionID` - the new revision id

  - ### isShared

    public boolean isShared()
    Checks if is shared.
    Returns:
      true, if is shared

  - ### setShared

    public void setShared​(boolean isShared)
    Sets the shared.
    Parameters:
      `isShared` - the new shared

  - ### isTrackRevisions

    public boolean isTrackRevisions()
    Checks if is track revisions.
    Returns:
      true, if is track revisions

  - ### setTrackRevisions

    public void setTrackRevisions​(boolean trackRevisions)
    Sets the track revisions.
    Parameters:
      `trackRevisions` - the new track revisions

  - ### getVersion

    public int getVersion()
    Gets the version.
    Returns:
      the version

  - ### setVersion

    public void setVersion​(int version)
    Sets the version.
    Parameters:
      `version` - the new version